Page MenuHomePhabricator

Unregistered editing shouldn't require 3 clicks
Closed, ResolvedPublic

Description

0) Set $wgMFAnonymousEditing = true;

  1. Visit a random page, like http://it.m.wikipedia.org/wiki/Multinazionali?uselang=en , as unregistered user

I. Observed: nothing in the interface tells me that I'm logged out, AFAICS, unless I click the triple-line button to show the menu.

  1. Click an unlocked pencil icon

II. Observed: at the bottom of the screen a box appears:

Help improve this page!

Log in
Sign up Edit without logging in

III. Expected: I proceed to the next step with no need to click "Edit without logging in"

  1. Do click

IV. Observed: a new screen loads, "Warning: You are not logged in. Your IP address will be publicly visible if you make any edits. If you log in or create an account, your edits will be attributed to your username, along with other benefits."

  1. Click "Next" button above the message, in top-right corner

V. Observed: I finally am presented an edit text area.


Version: unspecified
Severity: enhancement

Details

Reference
bz72852

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:56 AM
bzimport set Reference to bz72852.
bzimport added a subscriber: Unknown Object (MLST).
Nemo_bis created this task.Nov 1 2014, 7:10 AM

bingle-admin wrote:

Prioritization and scheduling of this bug is tracked on Trello card https://trello.com/c/DnF3d7ic

If i remember correctly, the Cta (click to action) drawer is one of the requirements for mobile editing, Maryana? :)

Change 172582 had a related patch set uploaded by Florianschmidtwelzow:
Proposal: Merge CtaDrawer with EditorOverlay Anonwarning

https://gerrit.wikimedia.org/r/172582

Created attachment 17097
Example of above change

Attached:

(In reply to Florian from comment #4)

Created attachment 17097 [details]
Example of above change

Looks good. A separate enhancement request would be to place the "continue editing" button as first (and blue) button.

Attached:

Very cool. The app asks you to login/register at the end of the workflow which is what I think we need to build towards and this seems like a good first step :)

Can we only enable this when anonymous editing is enabled for time being (we may also want to consider beta/alpha first to leave time for translations)? It would be good to compare data for sign ups/anon edits ratio via overlay vs cta. I think we lack a lot of data around editing workflows and we should be aiming to collect as much as possible. (FYI I'm monitoring Italian Wikipedia edits in my spare time to make cases for enabling anon editing elsewhere so I'm keen to see how much they increase and how much registrations/logins are effected - main concern is does the warning put off people from registering/editing as authenticated user)

(In reply to Jon from comment #6)

Can we only enable this when anonymous editing is enabled for time being (we
may also want to consider beta/alpha first to leave time for translations)?

Ignore me if the question wasn't for me; but I think everyone would agree that whatever makes you more confident merging the change is fine.

FYI I'm monitoring Italian
Wikipedia edits in my spare time

Thank you!

@Jon: Actually it affects only anonymous editing. If it is disabled you will see the "normal" Cta (or in stable/beta if wgMFAnonymousEditing is false like on any wiki except itwiki until December).

A separate enhancement request would be to place the "continue editing" button as first (and blue) button.

Hmm, i'm not happy with such suggestion (but it's my personal opinion). Our goal should be to give the user all possible ways (including editing without logging in, which is a key feature of wikipedia), but login/signup should be more prominent.

Can we only enable this when anonymous editing is enabled for time being (we may also want to consider beta/alpha first to leave time for translations)?

See above, the change takes affect, when:
wiki <> itwiki && alpha mode
or
wiki == itwiki && time() < strtotime(01.12.2014)

It would be good to compare data for sign ups/anon edits ratio via overlay vs cta

Atm i don't know, what is logged around the cta, but it should be enough to know, if the user is in stable/beta (CtaDrawer) or in alpha mode (Cta in EditorOverlay). So i think we can use the colledted data after the test of itwiki finished? :)

The app asks you to login/register at the end of the workflow which is what I think we need to build towards and this seems like a good first step :)

Yeah! :D

The data is not out here. We have lots of evidence that making the "continue editing" default or at least more prominent is desired.

login/signup should be more prominent.

We tried this on desktop and saw huge productivity losses. We were able to regain those some of those loses when we made "continue editing" clear and prominent.

See https://meta.wikimedia.org/wiki/Research:Asking_anonymous_editors_to_register

In my professional opinion (it is my job after all), driving anonymous editors to register does not seem to be meeting any of our goals -- to have more editors and to help those editors work productively.

Here, I think that personal opinion needs to bow to empirical observation.

Here, I think that personal opinion needs to bow to empirical observation.

I'm totally with you, that's why i wrote, that it is my personal opinion :) If the mobile team decides, that the button sequence should change, i'm happy to implement it, if i can :)

Change 172582 merged by jenkins-bot:
Merge CtaDrawer with EditorOverlay Anonwarning for anonymous editors

https://gerrit.wikimedia.org/r/172582

Jdlrobson closed this task as Resolved.Dec 4 2014, 8:55 PM
Jdlrobson claimed this task.

Should arrive on Wikipedias on December 17, correct?

@Nemo_bis: Correct :)
It's already online on beta labs, if you want to test it.